Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 219036 - Review Request: perl-Roman - Roman module from CPAN
Summary: Review Request: perl-Roman - Roman module from CPAN
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-12-09 18:44 UTC by Sam Varshavchik
Modified: 2015-10-16 07:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-02 03:29:00 UTC


Attachments (Terms of Use)
specfile patch (deleted)
2006-12-10 16:01 UTC, Jose Pedro Oliveira
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1272054 None None None Never

Internal Links: 1272054

Description Sam Varshavchik 2006-12-09 18:44:35 UTC
Spec URL: http://www.courier-mta.com/perl-Roman.spec
SRPM URL: http://www.courier-mta.com/perl-Roman-1.1-0.fc.1.src.rpm
Description: 

This is the Roman perl module, from CPAN.

Comment 1 Jose Pedro Oliveira 2006-12-10 15:55:22 UTC
NEEDSWORK

MD5SUMS:
3bcd42265a01a9261b18146273872a0d  perl-Roman-1.1-0.fc.1.src.rpm

0ded0e59e44267c803c4c8609ee52523  perl-Roman.spec
67b0e6affdc50fdf28cfc438c045fd9b  Roman-1.1.tar.gz

Sources:
* Roman-1.1.tar.gz: MD5 digest matches the CPAN tarball


NeedsWork:
* wrong release (and dist tag)
* the license information is incomplete: perl is dual licensed
  (GPL or Artistic)
* changelog entry missing
* remove the dot at the end of the summary (rpmlint)


Suggestions:
* change the URL to "http://search.cpan.org/dist/Roman/"
  (no author or version info - easier to maintain)
* the perl build requirement can be dropped
* when copying files try to preserve the timestamps
  (use install with the -p option)
* you can also use install to create the perl directory
  (%{__install} -d -m 0755 $RPM_BUILD_ROOT%{perl_vendorlib})
* don't mix spaces and tabs in the specfile
  (check the release line)


Comment 2 Jose Pedro Oliveira 2006-12-10 16:01:03 UTC
Created attachment 143242 [details]
specfile patch

Sam,

The attached patch corrects all the problems mentioned in the previous comment
(also removes a couple of lost spaces and reformats a couple of lines).

jpo

Comment 3 Sam Varshavchik 2006-12-11 02:47:22 UTC
Thanks for doing my work for me.  I'll slap myself later, for forgetting to use
rpmlint.

Updated spec file: http://www.courier-mta.com/perl-Roman.spec
Updated SRPM: http://www.courier-mta.com/perl-Roman-1.1-1.src.rpm



Comment 4 Jose Pedro Oliveira 2006-12-11 20:47:02 UTC
APPROVED


MD5SUMS:
df12af9eef0433eb70f89c431111c05e  perl-Roman-1.1-1.src.rpm

7c93de8cd3de204072b194a561368629  perl-Roman.spec
67b0e6affdc50fdf28cfc438c045fd9b  Roman-1.1.tar.gz

Sources:
* Roman-1.1.tar.gz: MD5 digest matches the CPAN tarball

Good:
* Package name follows standard
* URL and Source url are OK
* License verified (main pod page and License file)
* perl(:MODULE_COMPAT_xxx) requirement present
* the requirements are sane
* the provides are sane
* perl vendor libs macros present
* File permissions are ok
* Builds without problems in FC-6
* (Un)installs without problems in FC-6
* Runs on FC-6
  (perl -MRoman -e 'print Roman(1004);')
* No opened tickets in
  http://rt.cpan.org/Public/Dist/Display.html?Name=Roman


Random notes about this module:
* no Makefile.PL/Build.PL
* no testsuite
* no VERSION variable


jpo

Comment 5 Jose Pedro Oliveira 2006-12-23 19:14:38 UTC
ping!

Comment 6 Sam Varshavchik 2006-12-24 19:57:09 UTC
Was this ping directed at me?  Is there something else that I need to do?



Comment 7 Jose Pedro Oliveira 2006-12-26 14:49:31 UTC
Sam,

(In reply to comment #6)
> Was this ping directed at me?

Yes.

> Is there something else that I need to do?

Please read 
   http://fedoraproject.org/wiki/Extras/Contributors
and, if this is your first package, see also
   http://fedoraproject.org/wiki/Extras/HowToGetSponsored
   and add FE-NEEDSPONSOR to the blocking list (see step 7 of the first link).

Regards,
jpo
  

Comment 8 Jason Tibbitts 2007-05-06 18:14:27 UTC
Anything happening here?

Comment 9 Jason Tibbitts 2007-05-25 05:05:01 UTC
I guess not; I'll close this bug soon if there is no response.


Note You need to log in before you can comment on or make changes to this bug.